## python-directv 0.4.0

=== requirements.txt ===
aiohttp==3.6.2
yarl==1.4.2

=== debian/changelog ===
python-directv (0.4.0-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Fri, 02 Aug 2024 10:07:55 +0900

python-directv (0.4.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1077337)

 -- Edward Betts <edward@4angle.com>  Mon, 29 Jul 2024 00:39:33 +0900

=== debian/control ===
Source: python-directv
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders: Edward Betts <edward@4angle.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-aiohttp <!nocheck>,
               python3-all,
               python3-aresponses <!nocheck>,
               python3-pytest <!nocheck>,
               python3-pytest-asyncio <!nocheck>,
               python3-pytest-cov <!nocheck>,
               python3-setuptools,
               python3-yarl <!nocheck>
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/ctalkington/python-directv
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-directv
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-directv.git

Package: python3-directv
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Library to control and monitor DirecTV receivers
 This library allows control and monitoring of a DirecTV receiver and its
 associated client devices. It supports a range of functions such as turning
 the receiver on and off, changing channels, controlling playback (play, pause,
 stop, etc.), and handling remote control commands. The communication with the
 DirecTV receiver is facilitated through SHEF commands. It is designed to
 interface with the receiver to provide a seamless user experience for managing
 media playback and device status.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=directv
export PYBUILD_TEST_PYTEST=1
export PYBUILD_TEST_ARGS=--no-cov

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf directv.egg-info/

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/python-directv-$1\.tar\.gz/ \
  https://github.com/ctalkington/python-directv/tags .*/v?(\d\S+)\.tar\.gz
